with GNATCOM.Dispinterface;

package MSHTML.IHTMLDOMChildrenCollection_Object is

   type IHTMLDOMChildrenCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_length
     (This : IHTMLDOMChildrenCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Getu_newEnum
     (This : IHTMLDOMChildrenCollection_Type)
     return GNATCOM.Types.VARIANT;

   function item
     (This  : IHTMLDOMChildrenCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLDOMChildrenCollection_Object;

